org.apache.solr.update

## Class SolrIndexConfig

- java.lang.Object
- - org.apache.solr.update.SolrIndexConfig

- All Implemented Interfaces:
    MapSerializable

      public class SolrIndexConfig
      extends Object
      implements MapSerializable

  This config object encapsulates IndexWriter config params, defined in the <indexConfig> section of solrconfig.xml

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_MERGE_SCHEDULER_CLASSNAME`
    `InfoStream` | `infoStream`
    `String` | `lockType`
    `Version` | `luceneVersion`
    `int` | `maxBufferedDocs`
    `int` | `maxMergeDocs`
    `PluginInfo` | `mergedSegmentWarmerInfo`
    `int` | `mergeFactor`
    `PluginInfo` | `mergePolicyFactoryInfo`
    `PluginInfo` | `mergePolicyInfo`
    `PluginInfo` | `mergeSchedulerInfo`
    `double` | `ramBufferSizeMB`
    `int` | `writeLockTimeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrIndexConfig(SolrConfig solrConfig, String prefix, SolrIndexConfig def)` Constructs a SolrIndexConfig which parses the Lucene related config params in solrconfig.xml

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getUseCompoundFile()`
    `IndexWriterConfig` | `toIndexWriterConfig(SolrCore core)`
    `Map<String,Object>` | `toMap(Map<String,Object> map)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MERGE_SCHEDULER_CLASSNAME

          public static final String DEFAULT_MERGE_SCHEDULER_CLASSNAME

    - #### luceneVersion

          public final Version luceneVersion

    - #### maxBufferedDocs

          public final int maxBufferedDocs

    - #### maxMergeDocs

          public final int maxMergeDocs

    - #### mergeFactor

          public final int mergeFactor

    - #### ramBufferSizeMB

          public final double ramBufferSizeMB

    - #### writeLockTimeout

          public final int writeLockTimeout

    - #### lockType

          public final String lockType

    - #### mergePolicyInfo

          public final PluginInfo mergePolicyInfo

    - #### mergePolicyFactoryInfo

          public final PluginInfo mergePolicyFactoryInfo

    - #### mergeSchedulerInfo

          public final PluginInfo mergeSchedulerInfo

    - #### mergedSegmentWarmerInfo

          public final PluginInfo mergedSegmentWarmerInfo

    - #### infoStream

          public InfoStream infoStream

  - ### Constructor Detail

    - #### SolrIndexConfig

          public SolrIndexConfig(SolrConfig solrConfig,
                                 String prefix,
                                 SolrIndexConfig def)

      Constructs a SolrIndexConfig which parses the Lucene related config params in solrconfig.xml
      Parameters:
        `solrConfig` - the overall SolrConfig object
        `prefix` - the XPath prefix for which section to parse (mandatory)
        `def` - a SolrIndexConfig instance to pick default values from (optional)

  - ### Method Detail

    - #### toMap

          public Map<String,Object> toMap(Map<String,Object> map)

      Specified by:
        `toMap` in interface `MapSerializable`

    - #### toIndexWriterConfig

          public IndexWriterConfig toIndexWriterConfig(SolrCore core)
                                                throws IOException

      Throws:
        `IOException`

    - #### getUseCompoundFile

          public boolean getUseCompoundFile()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.